Skip to content
Hexel StudioDocs

Update approval workflow

PATCH/approvals/workflows/{workflow_id}

id, organization_id and timestamps cannot be changed. approver_role is validated as on create; an empty string clears it.

Path parameters

Workflow ID

Headers

Bearer <token>.

Returns

200OKApprovalWorkflow

approver_roleoptional string
approver_user_idsoptional array of string
created_atoptional string
descriptionoptional string
idoptional string
is_enabledoptional boolean
min_approvalsoptional integer
nameoptional string
organization_idoptional string
requires_approvaloptional boolean
scope_idoptional string
scope_typeoptional string
updated_atoptional string
workflow_typeoptional string

Errors

  • 400Bad Request